org.eclipse.microprofile.openapi.annotations

## Annotation Type Components

    @Target(value={})
     @Retention(value=RUNTIME)
     @Inherited
    public @interface Components

Describes the Components object that holds various reusable objects for different aspects of the OpenAPI Specification (OAS).

See Also:
  OpenAPI Specification Components Object

### Optional Element Summary

Optional Elements
`Callback[]` `callbacks` An object to hold reusable Callback Objects.
`ExampleObject[]` `examples` An object to hold reusable Example Objects.
`Header[]` `headers` An object to hold reusable Header Objects.
`Link[]` `links` An object to hold reusable Link Objects.
`Parameter[]` `parameters` An object to hold reusable Parameter Objects.
`RequestBody[]` `requestBodies` An object to hold reusable Request Body Objects.
`APIResponse[]` `responses` An object to hold reusable Response Objects.
`Schema[]` `schemas` An object to hold reusable Schema Objects.
`SecurityScheme[]` `securitySchemes` An object to hold reusable Security Scheme Objects.

### Element Detail

#### schemas

    public abstract Schema[] schemas

An object to hold reusable Schema Objects.

Returns:
  the reusable Schema objects.

Default:
  {}

#### responses

    public abstract APIResponse[] responses

An object to hold reusable Response Objects.

Returns:
  the reusable ApiResponse objects.

Default:
  {}

#### parameters

    public abstract Parameter[] parameters

An object to hold reusable Parameter Objects.

Returns:
  the reusable Parameter objects.

Default:
  {}

#### examples

    public abstract ExampleObject[] examples

An object to hold reusable Example Objects.

Returns:
  the reusable Example objects.

Default:
  {}

#### requestBodies

    public abstract RequestBody[] requestBodies

An object to hold reusable Request Body Objects.

Returns:
  the reusable RequestBody objects.

Default:
  {}

#### headers

    public abstract Header[] headers

An object to hold reusable Header Objects.

Returns:
  the reusable Header objects.

Default:
  {}

#### securitySchemes

    public abstract SecurityScheme[] securitySchemes

An object to hold reusable Security Scheme Objects.

Returns:
  the reusable SecurityScheme objects.

Default:
  {}

#### links

    public abstract Link[] links

An object to hold reusable Link Objects.

Returns:
  the reusable Link objects.

Default:
  {}

#### callbacks

    public abstract Callback[] callbacks

An object to hold reusable Callback Objects.

Returns:
  the reusable Callback objects.

Default:
  {}